Last Comment Bug 903955 - add gravatar support
: add gravatar support
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 23:00 PDT by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-08-14 00:07 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
gravatar_1.patch (5.86 KB, patch)
2013-08-11 23:00 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
dkl: review+
Details | Diff | Splinter Review
Screen Shot 2013-08-09 at 1.31.35 PM.png (699.54 KB, image/png)
2013-08-11 23:07 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
no flags Details
Screenshot from 2013-08-13 16:29:59.png (132.37 KB, image/png)
2013-08-13 13:37 PDT, David Lawrence [:dkl]
no flags Details

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-08-11 23:00:45 PDT
Created attachment 788793 [details] [diff] [review]
gravatar_1.patch

gravatars look nice in the mozilla skin, and work well to break up the page.

i'd like to add gravatar support, and make it enabled by default at the same time we switch the default skin to Mozilla.


the attached patch does that, as well as adding a 'bz_gravatar' class to <body> for bugzillajs.
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-08-11 23:07:55 PDT
Created attachment 788799 [details]
Screen Shot 2013-08-09 at 1.31.35 PM.png
Comment 2 Reed Loden [:reed] (use needinfo?) 2013-08-11 23:18:45 PDT
Instead of the default gravatar image, we should supply our own... Maybe a dino head?
Comment 3 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-08-12 20:16:33 PDT
(In reply to Reed Loden [:reed] from comment #2)
> Instead of the default gravatar image, we should supply our own.
> Maybe a dino head?

the dino head has been retired.
see the bottom of http://www.mozilla.org/en-US/styleguide/identity/mozilla/branding/

perhaps the mm graphic would be better:
http://www.gravatar.com/avatar/?f=y&d=mm&s=32
Comment 4 David Lawrence [:dkl] 2013-08-13 13:37:01 PDT
Comment on attachment 788793 [details] [diff] [review]
gravatar_1.patch

Review of attachment 788793 [details] [diff] [review]:
-----------------------------------------------------------------

Need to create a extensions/Gravatar/template/en/default/hook/global/setting-descs-settings.none.tmpl file as well for showing a description for the new user settings.

For example:

[%# This Source Code Form is subject to the terms of the Mozilla Public
  # License, v. 2.0. If a copy of the MPL was not distributed with this
  # file, You can obtain one at http://mozilla.org/MPL/2.0/.
  #
  # This Source Code Form is "Incompatible With Secondary Licenses", as
  # defined by the Mozilla Public License, v. 2.0.
  #%]

[%
  setting_descs.show_gravatars = "When viewing a $terms.bug, display gravatar images next to user logins."
%]

Also please fix the spacing between the user name and the comment box by closing the gap. This is not related
to this patch but is more noticeable when gravatar support is enabled. If you look at changes only type comment
blocks, the gravatar image is almost connected to the bounding box where for normal comments, the gap is much wider.
I will attach a screenshot to better illustrate.

Fix the two above on commit. r=dkl
dkl
the
Comment 5 David Lawrence [:dkl] 2013-08-13 13:37:28 PDT
Created attachment 789795 [details]
Screenshot from 2013-08-13 16:29:59.png
Comment 6 Reed Loden [:reed] (use needinfo?) 2013-08-13 13:48:19 PDT
(In reply to Byron Jones ‹:glob› from comment #3)
> the dino head has been retired.
> see the bottom of
> http://www.mozilla.org/en-US/styleguide/identity/mozilla/branding/

NEVER!

> perhaps the mm graphic would be better:
> http://www.gravatar.com/avatar/?f=y&d=mm&s=32

Sure. The default gravatar logo is terrible. :P
Comment 7 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-08-13 23:59:45 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
added extensions/Gravatar
added extensions/Gravatar/Config.pm
added extensions/Gravatar/Extension.pm
added extensions/Gravatar/template
added extensions/Gravatar/template/en
added extensions/Gravatar/template/en/default
added extensions/Gravatar/template/en/default/hook
added extensions/Gravatar/template/en/default/hook/bug
added extensions/Gravatar/template/en/default/hook/global
added extensions/Gravatar/template/en/default/hook/bug/comments-user-image.html.tmpl
added extensions/Gravatar/template/en/default/hook/bug/show-header-end.html.tmpl
added extensions/Gravatar/template/en/default/hook/global/setting-descs-settings.none.tmpl
modified extensions/InlineHistory/template/en/default/hook/bug/comments-aftercomments.html.tmpl
modified template/en/default/bug/comments.html.tmpl
Committed revision 8938.

Note You need to log in before you can comment on or make changes to this bug.